## aiozmq 1.0.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

PYTHON=python3
PYFLAKES=pyflakes

FILTER=

doc:
	cd docs && make html
	echo "open file://`pwd`/docs/_build/html/index.html"

pep:
	pycodestyle aiozmq examples tests

flake:
	$(PYFLAKES) .

test: pep flake
	$(PYTHON) runtests.py $(FILTER)

vtest: pep flake
	$(PYTHON) runtests.py -v $(FILTER)

testloop: pep flake
	$(PYTHON) runtests.py --forever $(FILTER)

cov cover coverage: pep flake
	$(PYTHON) runtests.py --coverage $(FILTER)

clean:
	find . -name __pycache__ |xargs rm -rf
	find . -type f -name '*.py[co]' -delete
	find . -type f -name '*~' -delete
	find . -type f -name '.*~' -delete
	find . -type f -name '@*' -delete
	find . -type f -name '#*#' -delete
	find . -type f -name '*.orig' -delete
	find . -type f -name '*.rej' -delete
	rm -f .coverage
	rm -rf coverage
	rm -rf docs/_build

.PHONY: all pep test vtest testloop cov clean

=== requirements.txt ===
msgpack>=0.5.0
pycodestyle>=2.4.0
pyflakes>=0.8.1
pyzmq>=14.2.0
wheel>=0.23.0
ipython==8.6.0
ipdb==0.13.9
sphinx==5.3.0
sphinxcontrib-spelling==7.6.2
readthedocs-sphinx-ext==2.2.0
-e .

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiozmq.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiozmq.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiozmq"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiozmq"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling -d $(BUILDDIR)/doctrees . $(BUILDDIR)/spelling
	@echo
	@echo "Spelling checker messages written to $(BUILDDIR)/spelling/output.txt."

## aiozmq 0.7.1

=== debian/changelog ===
aiozmq (0.7.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * Standards-version bumped to 4.1.1
    - debian/copyright's Fromat URL now uses https

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Nov 2017 11:28:10 +0100

aiozmq (0.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 05 Oct 2015 23:00:46 +0200

aiozmq (0.7.0-1) unstable; urgency=low

  * Initial release (closes: 795415)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 13 Aug 2015 21:04:23 +0200

=== debian/control ===
Source: aiozmq
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python3-all, 
 python3-setuptools,
# tests:
 python3-zmq (>= 13.1),
 python3-msgpack (>= 0.4.0),
Standards-Version: 4.1.1
Homepage: http://aiozmq.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aiozmq.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aiozmq.git
X-Python3-Version: >= 3.3

Package: python3-aiozmq
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-msgpack
Description: ZeroMQ integration with asyncio
 ZeroMQ integration with asyncio (PEP 3156)
 .
 Features:
  * Implements create_zmq_connection() coroutine for making 0MQ connections.
  * Provides ZmqTransport and ZmqProtocol
  * Provides RPC Request-Reply, Push-Pull and Publish-Subscribe patterns for
    remote calls.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/aiozmq/aiozmq-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiozmq 0.9.0

=== debian/changelog ===
aiozmq (0.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * New upstream release (closes: 904358)
  * Fix source URL in debian/copyright file (closes: 903882)
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 10:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
- python3-all, 
+Build-Depends: debhelper-compat (= 9), dh-python,
+ python3-all,
  python3-setuptools,
 # tests:
  python3-zmq (>= 13.1),
  python3-msgpack (>= 0.4.0),
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: http://aiozmq.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aiozmq.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/aiozmq.git
-X-Python3-Version: >= 3.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/aiozmq.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/aiozmq
 
 Package: python3-aiozmq
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiozmq
%:
	dh $@ --with python3 --buildsystem=pybuild

## aiozmq 1.0.0

=== debian/changelog ===
aiozmq (1.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2022 11:06:19 +0100

aiozmq (0.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Sep 2021 00:22:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all,
  python3-setuptools,
 # tests:
  python3-zmq (>= 13.1),
  python3-msgpack (>= 0.4.0),
-Standards-Version: 4.5.0
-Homepage: http://aiozmq.readthedocs.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/aiozmq.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/aiozmq
+Standards-Version: 4.5.1
+Homepage: https://aiozmq.readthedocs.org/
+Vcs-Git: https://salsa.debian.org/python-team/packages/aiozmq.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/aiozmq
 
 Package: python3-aiozmq
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiozmq/aiozmq-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
